UPDATE VS4TGLTrans SET TGLTDescription='รับคืนสินค้า จาก '+(SELECT TRCNCustomerName FROM VS4TARCreditNote WHERE VS4TARCreditNote.TRCNNo=VS4TGLTrans.TGLTNo)
WHERE TGLTInputSource='CN' 
GO

UPDATE VS4TGLTrans SET TGLTDescription='เพิ่มหนี้ ให้กับ '+(SELECT TDBNCustomerName FROM VS4TARDebitNote WHERE VS4TARDebitNote.TDBNNo=VS4TGLTrans.TGLTNo)
WHERE TGLTInputSource='DB'
GO

UPDATE VS4TGLTrans SET TGLTDescription='ส่งคืนสินค้า ให้กับ '+(SELECT TPCNSupplierName FROM VS4TAPCreditNote WHERE VS4TAPCreditNote.TPCNNo=VS4TGLTrans.TGLTNo)
WHERE TGLTInputSource='PCN' 
GO

UPDATE VS4TGLTrans SET TGLTDescription='รับเพิ่มหนี้ จาก '+(SELECT TDENSupplierName FROM VS4TAPDebitNote WHERE VS4TAPDebitNote.TDENNo=VS4TGLTrans.TGLTNo)
WHERE TGLTInputSource='PDB'
GO
